# Interface ICefTextfield

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefTextfield = interface(ICefView)`

## Description

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_capi.h">CEF source file: /include/capi/views/cef_textfield_capi.h (cef_textfield_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefTextfield

## Overview

### Methods

| `procedure SetPasswordInput(password_input: boolean);`
| `function IsPasswordInput: boolean;`
| `procedure SetReadOnly(read_only: boolean);`
| `function IsReadOnly: boolean;`
| `function GetText: ustring;`
| `procedure SetText(const text_: ustring);`
| `procedure AppendText(const text_: ustring);`
| `procedure InsertOrReplaceText(const text_: ustring);`
| `function HasSelection: boolean;`
| `function GetSelectedText: ustring;`
| `procedure SelectAll(reversed: boolean);`
| `procedure ClearSelection;`
| `function GetSelectedRange: TCefRange;`
| `procedure SelectRange(const range: TCefRange);`
| `function GetCursorPosition: NativeUInt;`
| `procedure SetTextColor(color: TCefColor);`
| `function GetTextColor: TCefColor;`
| `procedure SetSelectionTextColor(color: TCefColor);`
| `function GetSelectionTextColor: TCefColor;`
| `procedure SetSelectionBackgroundColor(color: TCefColor);`
| `function GetSelectionBackgroundColor: TCefColor;`
| `procedure SetFontList(const font_list: ustring);`
| `procedure ApplyTextColor(color: TCefColor; const range: TCefRange);`
| `procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);`
| `function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;`
| `procedure ExecuteCommand(command_id: TCefTextFieldCommands);`
| `procedure ClearEditHistory;`
| `procedure SetPlaceholderText(const text_: ustring);`
| `function GetPlaceholderText: ustring;`
| `procedure SetPlaceholderTextColor(color: TCefColor);`
| `procedure SetAccessibleName(const name: ustring);`

### Properties

| `property PasswordInput : boolean read IsPasswordInput write SetPasswordInput;`
| `property ReadOnly : boolean read IsReadOnly write SetReadOnly;`
| `property Text : ustring read GetText write SetText;`
| `property SelectedText : ustring read GetSelectedText;`
| `property TextColor : TCefColor read GetTextColor write SetTextColor;`
| `property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;`
| `property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;`
| `property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;`

## Description

### Methods

| `procedure SetPasswordInput(password_input: boolean);`

Sets whether the text will be displayed as asterisks.

###### Attributes

GUID['{B5E30155-DEA5-4CBF-BC9D-578CBCA586D9}']

| `function IsPasswordInput: boolean;`
Returns true (1) if the text will be displayed as asterisks.

| `procedure SetReadOnly(read_only: boolean);`
Sets whether the text will read-only.

| `function IsReadOnly: boolean;`
Returns true (1) if the text is read-only.

| `function GetText: ustring;`
Returns the currently displayed text.

| `procedure SetText(const text_: ustring);`
Sets the contents to |text|. The cursor will be moved to end of the text if the current position is outside of the text range.

| `procedure AppendText(const text_: ustring);`
Appends |text| to the previously-existing text.

| `procedure InsertOrReplaceText(const text_: ustring);`
Inserts |text| at the current cursor position replacing any selected text.

| `function HasSelection: boolean;`
Returns true (1) if there is any selected text.

| `function GetSelectedText: ustring;`
Returns the currently selected text.

| `procedure SelectAll(reversed: boolean);`
Selects all text. If |reversed| is true (1) the range will end at the logical beginning of the text; this generally shows the leading portion of text that overflows its display area.

| `procedure ClearSelection;`
Clears the text selection and sets the caret to the end.

| `function GetSelectedRange: TCefRange;`
Returns the selected logical text range.

| `procedure SelectRange(const range: TCefRange);`
Selects the specified logical text range.

| `function GetCursorPosition: NativeUInt;`
Returns the current cursor position.

| `procedure SetTextColor(color: TCefColor);`
Sets the text color.

| `function GetTextColor: TCefColor;`
Returns the text color.

| `procedure SetSelectionTextColor(color: TCefColor);`
Sets the selection text color.

| `function GetSelectionTextColor: TCefColor;`
Returns the selection text color.

| `procedure SetSelectionBackgroundColor(color: TCefColor);`
Sets the selection background color.

| `function GetSelectionBackgroundColor: TCefColor;`
Returns the selection background color.

| `procedure SetFontList(const font_list: ustring);`

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

| `procedure ApplyTextColor(color: TCefColor; const range: TCefRange);`
Applies |color| to the specified |range| without changing the default color. If |range| is NULL the color will be set on the complete text contents.

| `procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);`
Applies |style| to the specified |range| without changing the default style. If |add| is true (1) the style will be added, otherwise the style will be removed. If |range| is NULL the style will be set on the complete text contents.

| `function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;`
Returns true (1) if the action associated with the specified command id is enabled. See additional comments on execute_command().

| `procedure ExecuteCommand(command_id: TCefTextFieldCommands);`
Performs the action associated with the specified command id.

| `procedure ClearEditHistory;`
Clears Edit history.

| `procedure SetPlaceholderText(const text_: ustring);`
Sets the placeholder text that will be displayed when the Textfield is NULL.

| `function GetPlaceholderText: ustring;`
Returns the placeholder text that will be displayed when the Textfield is NULL.

| `procedure SetPlaceholderTextColor(color: TCefColor);`
Sets the placeholder text color.

| `procedure SetAccessibleName(const name: ustring);`
Set the accessible name that will be exposed to assistive technology (AT).

### Properties

| `property PasswordInput : boolean read IsPasswordInput write SetPasswordInput;`
Returns true (1) if the text will be displayed as asterisks.

| `property ReadOnly : boolean read IsReadOnly write SetReadOnly;`
Returns true (1) if the text is read-only.

| `property Text : ustring read GetText write SetText;`
Returns the currently displayed text.

| `property SelectedText : ustring read GetSelectedText;`
Returns the currently selected text.

| `property TextColor : TCefColor read GetTextColor write SetTextColor;`
Returns the text color.

| `property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;`
Returns the selection text color.

| `property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;`
Returns the selection background color.

| `property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;`
Returns the placeholder text that will be displayed when the Textfield is NULL.

Generated by PasDoc 0.17.0.snapshot.